import check

class Pair:
    """
    Fields: item (Any), value (Int) 
    Requires: 0 < value
    """

    ## Pair(i, v) produces a pair with item i and value v
    ## __init__: Any Int -> Pair
    ## Requires: 0 < v
    def __init__(self, i, v):
        self.item = i
        self.value = v

    ## repr(self) produces a string representing self
    ## __repr__: Pair -> Str
    def __repr__(self):
        return "Pair(Item = " + str(self.item) + ", Value = " +  \
            str(self.value) + ")"

    ## self = other produces True if self and other have equal item and
    ##     value fields
    ## __eq__: Pair Pair -> Bool
    def __eq__(self, other):
        return self.item == other.item and self.value == other.value

    

