from sess2q3pair import *

## value_extract(pair) produces the value of pair
## value_extract: Pair -> Int
def value_extract(pair):
    return pair.value

## pairs_sort_up(pair_list) produces a list of the pairs in pairs_list
##     ordered by value in nondecreasing order
## pair_sort_up: (listof Pair) -> (listof Pair)
def pairs_sort_up(pair_list):
    return sorted(pair_list, key = value_extract)

## pairs_sort_down(pair_list) produces a list of the pairs in pair_list
##     ordered by value in nonincreasing order
## pairs_sort_down: (listof Pair) -> (listof Pair)
def pairs_sort_down(pair_list):
    return sorted(pair_list, key = value_extract, reverse = True)

