import check
from sess2q5pairsort import *

one = Pair("one", 1)
two = Pair("two", 2)
too = Pair("too", 2)
three = Pair("three", 3)

a_list = [two, three, too, one]
up_1 = [one, two, too, three]
up_2 = [one, too, two, three]
down_1 = [three, two, too, one]
down_2 = [three, too, two, one]

check.expect("Value_extract on one", value_extract(one), 1)

check.expect("Sorting up no repeats", \
             pairs_sort_up([Pair("two", 2), Pair("one", 1)]), \
             [Pair("one", 1), Pair("two", 2)])
check.expect("Sorting up with repeats", \
             pairs_sort_up(a_list) in [up_1, up_2], True)

check.expect("Sorting down no repeats", \
             pairs_sort_down([Pair("one", 1), Pair("two", 2)]), \
             [Pair("two", 2), Pair("one", 1)])
check.expect("Sorting down with repeats", \
             pairs_sort_down(a_list) in [down_1, down_2], True)
